Loading...
Searching...
No Matches
casacore::ArrayConformanceError Class Reference
casa package (libcasa_casa) » Arrays_module

An error thrown when two arrays do not conform. More...

`#include <ArrayError.h>`

## Public Member Functions

| ArrayConformanceError ()
| Initialize the message with "ArrayConformanceError".
| ArrayConformanceError (const char *m)
| Initialize with a supplied message.
| ArrayConformanceError (const std::string &m)
| Initialize with a supplied message.
| ~ArrayConformanceError () noexcept
Public Member Functions inherited from casacore::ArrayError
| ArrayError ()
| Initialize with the message "ArrayError".
| ArrayError (const char *m)
| Initialize with the supplied message.
| ArrayError (const std::string &m)
| Initialize with the supplied message.
| ~ArrayError () noexcept

## Detailed Description

An error thrown when two arrays do not conform.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

The ArrayConformanceError class is the base class for all errors thrown because two arrays are not conformant. See also the ArrayShapeError and ArrayNDimError classes which are derived from it. This error, or one derived from it, os normally thrown from a binary operation (arithmetic, logical, assignment, etc).

Definition at line 112 of file ArrayError.h.

## Constructor & Destructor Documentation

## ArrayConformanceError() [1/3]

casacore::ArrayConformanceError::ArrayConformanceError | ( |  | ) |

Initialize the message with "ArrayConformanceError".

## ArrayConformanceError() [2/3]

casacore::ArrayConformanceError::ArrayConformanceError | ( | const char * | m | ) |

Initialize with a supplied message.

## ArrayConformanceError() [3/3]

casacore::ArrayConformanceError::ArrayConformanceError | ( | const std::string & | m | ) |

Initialize with a supplied message.

## ~ArrayConformanceError()

casacore::ArrayConformanceError::~ArrayConformanceError | ( |  | ) |

noexcept

The documentation for this class was generated from the following file:

- casa/Arrays/ArrayError.h